﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Text;

public partial class HTTPResponse : System.Web.UI.Page
{
    public void Page_Load(object sender, EventArgs e)
    {
        int iDataId = 0;
        try
        {
            if(Request.QueryString["dataid"].Contains("x"))
                iDataId = Convert.ToInt32(Request.QueryString["dataid"].Substring(0, Request.QueryString["dataid"].IndexOf("x")));
            else
                iDataId = Convert.ToInt32(Request.QueryString["dataid"]);
        }
        catch
        {
            return;
        }

        //Get xml configuration file from "datalayer"
        string sResponse = GetXMLString(iDataId);
        
        ////Save string to the hard disk for control.
        //System.IO.StreamWriter streamWriter = new System.IO.StreamWriter(@"c:\3dgalleryv2.xml");
        //streamWriter.Write(sResponse);
        //streamWriter.Close();

        //Write the XML to the HTTP output stream
        //=> back to the Stack Animation
        Response.Write(sResponse);  

    }

    /// <summary>
    /// This function provides to the Stack the requested XML configuration file as a string.
    /// </summary>
    /// <param name="iDataId">Dummy</param>
    public string GetXMLString(int iDataId)
    {
        //select dynamic data from datalayer here ...
        //e.g. DataLayer.GetData(iDataId)

        //-------------------------------------------------------------------------------------
        //Hardcoded sample !!!!
        //-------------------------------------------------------------------------------------

        int     iGalleryRadius = 400;
        int     iGalleryPerspective = 0;
        int     iGalleryFocus = 250;
        int     iGallerySpeed = 3;
        int     iGalleryCenterTop = 40;
        int     iGalleryRandomImages = 0;
        string  sGalleryPreloader = "";

        bool    fBackGroundVisible = true;
        string  sBackGroundPath = "images/background.jpg";
        int     iBackGroundLeft = 0;
        int     iBackGroundTop = 0;

        string  sNavigationType = "auto";
	    string  sNavigationButtonsColor = "#ff0000";
	    int     iNavigationButtonsAlpha = 75;
	    int     iNavigationButtonLeftLeft = 0;
	    int     iNavigationButtonLeftTop = 0;
        string  sNavigationButtonLeftPath = String.Empty;
	    int     iNavigationButtonRightLeft = 0;
        int     iNavigationButtonRightTop = 0;
        string  sNavigationButtonRightPath = String.Empty;
        int     iNavigationInitialRotation = 0;
        bool    fNavigationPauseOnEnter = false;

        bool    fReflectionVisible = true;
        int     iReflectionAlpha = 50;
        int     iReflectionHeight = 50;
        int     iReflectionDistance = 0;

        string  sEffectsTime = "0.5";
        string  sEffectGalleryEntry = "fade";           //fade, flyleft, flyright, flytop, flybottom
        string  sEffectGalleryExit = "fade";
        string  sEffectDetailImageEntry = "flyleft";
        string  sEffectDetailImageExit = "flyleft";
        string  sEffectContent1Entry = "flytop";
        string  sEffectContent1Exit = "flytop";
        string  sEffectContent2Entry = "flytop";
        string  sEffectContent2Exit = "flytop";

        string  sTransitionGalleryEntry = "linear";      //linear, easeInExpo, easeOutExpo, easeInBounce, easeOutBounce, easeInSine, easeInOutSine ... (see document transitions.jpg) 
        string  sTransitionGalleryExit = "linear";
        string  sTransitionDetailImageEntry = "linear";
        string  sTransitionDetailImageExit = "linear";
        string  sTransitionContent1Entry = "linear";
        string  sTransitionContent1Exit = "linear";
        string  sTransitionContent2Entry = "linear";
        string  sTransitionContent2Exit = "linear";

        bool    fHoverGlowEnabled = false;
	    string  sHoverGlowColor = "#ff0000";
	    int     iHoverGlowAlpha = 100;
	    int     iHoverGlowBlur = 32;
	    int     iHoverGlowStength = 2;
	    int     iHoverGlowQuality = 3;
	    bool    fHoverRotationEnabled = false;
	    int     iHoverRotationSpeed = 15;
	    int     iHoverRotationRadians = 180;
	    bool    fHoverZoomEnabled = false;
        int     iHoverZoomRate = 5;

        bool    fToolTipHTML = false;
        bool    fToolTipAntiAliasing = false;
        string  sToolTipAlign = "left";
        bool    fToolTipBold = false;
        bool    fToolTipItalic = false;
        string  sToolTipFont = "Verdana";
        string  sToolTipFontColor = "#dddddd";
        int     iToolTipFontSize = 11;
        int     iToolTipLeading = 0;
        bool    fToolTipUnderline = false;
        int     iToolTipLeft = 0;
        int     iToolTipTop = 10;
        int     iToolTipWidth = 120;
        int     iToolTipHeight = 30;
        string  sToolTipBgColor = String.Empty;
        bool    fToolTipBorder = false;
        string  sToolTipBorderColor = "";
        int     iToolTipAlpha = 100;
        bool    fToolTipTopMost = true;
        bool    fToolTipHideContent3 = false;
        bool    fToolTipHideContent4 = false;

        bool    fDetailPageEnbaled = true;
        int     iDetailImageZoom = 100;
        int     iDetailImageLeft = 30;
        int     iDetailImageTop = 215;
        string  sDetailImageAlign = "bottom";

        bool    fContent1HTML = false;
        bool    fContent1AntiAliasing = false;
        string  sContent1Align = "left";
        bool    fContent1Bold = false;
        bool    fContent1Italic = false;
        string  sContent1Font = "Verdana";
        string  sContent1FontColor = "#dddddd";
        int     iContent1FontSize = 11;
        int     iContent1Leading = 0;
        bool    fContent1Underline = false;
        int     iContent1Left = 250;
        int     iContent1Top = 60;
        int     iContent1Width = 250;
        int     iContent1Height = 90;
        string  sContent1BgColor = String.Empty;
        bool    fContent1Border = false;
        string  sContent1BorderColor = "";
        int     iContent1Alpha = 100;
        bool    fContent1Selectable = false;
        
        bool    fContent2HTML = false;
        bool    fContent2AntiAliasing = false;
        string  sContent2Align = "left";
        bool    fContent2Bold = false;
        bool    fContent2Italic = false;
        string  sContent2Font = "Verdana";
        string  sContent2FontColor = "#dddddd";
        int     iContent2FontSize = 11;
        int     iContent2Leading = 0;
        bool    fContent2Underline = false;
        int     iContent2Left = 250;
        int     iContent2Top = 160;
        int     iContent2Width = 250;
        int     iContent2Height = 90;
        string  sContent2BgColor = String.Empty;
        bool    fContent2Border = false;
        string  sContent2BorderColor = "";
        int     iContent2Alpha = 100;
        bool    fContent2Selectable = false;
        
        string  sContent3 = String.Empty;
        bool    fContent3HTML = false;
        bool    fContent3AntiAliasing = false;
        string  sContent3Align = "left";
        bool    fContent3Bold = false;
        bool    fContent3Italic = false;
        string  sContent3Font = "Verdana";
        string  sContent3FontColor = "#222222";
        int     iContent3FontSize = 12;
        int     iContent3Leading = 0;
        bool    fContent3Underline = false;
        int     iContent3Left = 220;
        int     iContent3Top = 10;
        int     iContent3Width = 100;
        int     iContent3Height = 30;
        string  sContent3BgColor = String.Empty;
        bool    fContent3Border = false;
        string  sContent3BorderColor = "#333333";
        bool    fContent3Selectable = false;
        int     iContent3Alpha = 100;
        bool    fContent3TopMost = true;
        bool    fContent3VisibleOnGalleryPage = true;
        bool    fContent3VisibleOnDetailPage = true;
        
        string  sContent4 = String.Empty;
        bool    fContent4HTML = false;
        bool    fContent4AntiAliasing = false;
        string  sContent4Align = "left";
        bool    fContent4Bold = false;
        bool    fContent4Italic = false;
        string  sContent4Font = "Verdana";
        string  sContent4FontColor = "#222222";
        int     iContent4FontSize = 12;
        int     iContent4Leading = 0;
        bool    fContent4Underline = false;
        int     iContent4Left = 330;
        int     iContent4Top = 10;
        int     iContent4Width = 100;
        int     iContent4Height = 30;
        string  sContent4BgColor = String.Empty;
        bool    fContent4Border = false;
        string  sContent4BorderColor = "#333333";
        bool    fContent4Selectable = false;
        int     iContent4Alpha = 100;
        bool    fContent4TopMost = true;
        bool    fContent4VisibleOnGalleryPage = true;
        bool    fContent4VisibleOnDetailPage = true;

        string  sJSImageMouseOverFunctionName = String.Empty;
        string  sJSImageMouseOutFunctionName = String.Empty;
        string  sJSImageClickedFunctionName = String.Empty;
        string  sJSDetailPageLoadedFunctionName = String.Empty;
        string  sJSDetailImageClickedFunctionName = String.Empty;
        string  sJSDetailPageClosedFunctionName = String.Empty;
        string  sJSAnimationLoadedFunctionName = String.Empty;


        StringBuilder sb = new StringBuilder();
        sb.Append(@"<?xml version=""1.0"" encoding=""utf-8"" ?>");
        sb.Append(@"<DDDGalleryV2><Images ");

        sb.Append(@"GalleryRadius=""");         sb.Append(iGalleryRadius);          sb.Append(@""" ");
        sb.Append(@"GalleryPerspective=""");    sb.Append(iGalleryPerspective);     sb.Append(@""" ");
        sb.Append(@"GallerySpeed=""");          sb.Append(iGallerySpeed);           sb.Append(@""" ");
        sb.Append(@"GalleryFocus=""");          sb.Append(iGalleryFocus);           sb.Append(@""" ");
        sb.Append(@"GalleryCenterTop=""");      sb.Append(iGalleryCenterTop);       sb.Append(@""" ");
        sb.Append(@"GalleryRandomImages=""");   sb.Append(iGalleryRandomImages);    sb.Append(@""" ");
        sb.Append(@"GalleryPreloader=""");      sb.Append(sGalleryPreloader);       sb.Append(@""" ");

        sb.Append(@"BackGroundVisible=""");     sb.Append(fBackGroundVisible);      sb.Append(@""" ");
        sb.Append(@"BackGroundPath=""");        sb.Append(sBackGroundPath);         sb.Append(@""" ");
        sb.Append(@"BackGroundTop=""");         sb.Append(iBackGroundTop);          sb.Append(@""" ");
        sb.Append(@"BackGroundLeft=""");        sb.Append(iBackGroundLeft);         sb.Append(@""" ");
       

        sb.Append(@"NavigationType=""");            sb.Append(sNavigationType);             sb.Append(@""" ");
        sb.Append(@"NavigationButtonsColor=""");    sb.Append(sNavigationButtonsColor);     sb.Append(@""" ");
        sb.Append(@"NavigationButtonsAlpha=""");    sb.Append(iNavigationButtonsAlpha);     sb.Append(@""" ");
        sb.Append(@"NavigationButtonLeftLeft=""");  sb.Append(iNavigationButtonLeftLeft);   sb.Append(@""" ");
        sb.Append(@"NavigationButtonLeftTop=""");   sb.Append(iNavigationButtonLeftTop);    sb.Append(@""" ");
        sb.Append(@"NavigationButtonLeftPath=""");  sb.Append(sNavigationButtonLeftPath);   sb.Append(@""" ");
        sb.Append(@"NavigationButtonRightLeft="""); sb.Append(iNavigationButtonRightLeft);  sb.Append(@""" ");
        sb.Append(@"NavigationButtonRightTop=""");  sb.Append(iNavigationButtonRightTop);   sb.Append(@""" ");
        sb.Append(@"NavigationButtonRightPath="""); sb.Append(sNavigationButtonRightPath);  sb.Append(@""" ");
        sb.Append(@"NavigationInitialRotation="""); sb.Append(iNavigationInitialRotation);  sb.Append(@""" ");
        sb.Append(@"NavigationPauseOnEnter=""");    sb.Append(fNavigationPauseOnEnter);     sb.Append(@""" ");

        sb.Append(@"ReflectionVisible=""");     sb.Append(fReflectionVisible);      sb.Append(@""" ");
        sb.Append(@"ReflectionAlpha=""");       sb.Append(iReflectionAlpha);        sb.Append(@""" ");
        sb.Append(@"ReflectionHeight=""");      sb.Append(iReflectionHeight);       sb.Append(@""" ");
        sb.Append(@"ReflectionDistance=""");    sb.Append(iReflectionDistance);     sb.Append(@""" ");

        sb.Append(@"EffectsTime=""");           sb.Append(sEffectsTime);            sb.Append(@""" ");
        sb.Append(@"EffectGalleryEntry=""");    sb.Append(sEffectGalleryEntry);     sb.Append(@""" ");
        sb.Append(@"EffectGalleryExit=""");     sb.Append(sEffectGalleryExit);      sb.Append(@""" ");
        sb.Append(@"EffectDetailImageEntry=""");sb.Append(sEffectDetailImageEntry); sb.Append(@""" ");
        sb.Append(@"EffectDetailImageExit="""); sb.Append(sEffectDetailImageExit);  sb.Append(@""" ");
        sb.Append(@"EffectContent1Entry=""");   sb.Append(sEffectContent1Entry);    sb.Append(@""" ");
        sb.Append(@"EffectContent1Exit=""");    sb.Append(sEffectContent1Exit);     sb.Append(@""" ");
        sb.Append(@"EffectContent2Entry=""");   sb.Append(sEffectContent2Entry);    sb.Append(@""" ");
        sb.Append(@"EffectContent2Exit=""");    sb.Append(sEffectContent2Exit);     sb.Append(@""" ");

        sb.Append(@"TransitionGalleryEntry=""");    sb.Append(sTransitionGalleryEntry);     sb.Append(@""" ");
        sb.Append(@"TransitionGalleryExit=""");     sb.Append(sTransitionGalleryExit);      sb.Append(@""" ");
        sb.Append(@"TransitionDetailImageEntry=""");sb.Append(sTransitionDetailImageEntry); sb.Append(@""" ");
        sb.Append(@"TransitionDetailImageExit="""); sb.Append(sTransitionDetailImageExit);  sb.Append(@""" ");
        sb.Append(@"TransitionContent1Entry=""");   sb.Append(sTransitionContent1Entry);    sb.Append(@""" ");
        sb.Append(@"TransitionContent1Exit=""");    sb.Append(sTransitionContent1Exit);     sb.Append(@""" ");
        sb.Append(@"TransitionContent2Entry=""");   sb.Append(sTransitionContent2Entry);    sb.Append(@""" ");
        sb.Append(@"TransitionContent2Exit=""");    sb.Append(sTransitionContent2Exit);     sb.Append(@""" ");

        sb.Append(@"HoverGlowEnabled=""");      sb.Append(fHoverGlowEnabled);       sb.Append(@""" ");
        sb.Append(@"HoverGlowColor=""");        sb.Append(sHoverGlowColor);         sb.Append(@""" ");
        sb.Append(@"HoverGlowAlpha=""");        sb.Append(iHoverGlowAlpha);         sb.Append(@""" ");
        sb.Append(@"HoverGlowBlur=""");         sb.Append(iHoverGlowBlur);          sb.Append(@""" ");
        sb.Append(@"HoverGlowStength=""");      sb.Append(iHoverGlowStength);       sb.Append(@""" ");
        sb.Append(@"HoverGlowQuality=""");      sb.Append(iHoverGlowQuality);       sb.Append(@""" ");

        sb.Append(@"HoverRotationEnabled=""");  sb.Append(fHoverRotationEnabled);   sb.Append(@""" ");
        sb.Append(@"HoverRotationSpeed=""");    sb.Append(iHoverRotationSpeed);     sb.Append(@""" ");
        sb.Append(@"HoverRotationRadians=""");  sb.Append(iHoverRotationRadians);   sb.Append(@""" ");

        sb.Append(@"HoverZoomEnabled=""");      sb.Append(fHoverZoomEnabled);       sb.Append(@""" ");
        sb.Append(@"HoverZoomRate=""");         sb.Append(iHoverZoomRate);          sb.Append(@""" ");

        sb.Append(@"ToolTipHTML=""");           sb.Append(fToolTipHTML);            sb.Append(@""" ");
        sb.Append(@"ToolTipAntiAliasing=""");   sb.Append(fToolTipAntiAliasing);    sb.Append(@""" ");
        sb.Append(@"ToolTipAlign=""");          sb.Append(sToolTipAlign);           sb.Append(@""" ");
        sb.Append(@"ToolTipBold=""");           sb.Append(fToolTipBold);            sb.Append(@""" ");
        sb.Append(@"ToolTipItalic=""");         sb.Append(fToolTipItalic);          sb.Append(@""" ");
        sb.Append(@"ToolTipFont=""");           sb.Append(sToolTipFont);            sb.Append(@""" ");
        sb.Append(@"ToolTipFontColor=""");      sb.Append(sToolTipFontColor);       sb.Append(@""" ");
        sb.Append(@"ToolTipFontSize=""");       sb.Append(iToolTipFontSize);        sb.Append(@""" ");
        sb.Append(@"ToolTipLeading=""");        sb.Append(iToolTipLeading);         sb.Append(@""" ");
        sb.Append(@"ToolTipUnderline=""");      sb.Append(fToolTipUnderline);       sb.Append(@""" ");
        sb.Append(@"ToolTipLeft=""");           sb.Append(iToolTipLeft);            sb.Append(@""" ");
        sb.Append(@"ToolTipTop=""");            sb.Append(iToolTipTop);             sb.Append(@""" ");
        sb.Append(@"ToolTipWidth=""");          sb.Append(iToolTipWidth);           sb.Append(@""" ");
        sb.Append(@"ToolTipHeight=""");         sb.Append(iToolTipHeight);          sb.Append(@""" ");
        sb.Append(@"ToolTipBgColor=""");        sb.Append(sToolTipBgColor);         sb.Append(@""" ");
        sb.Append(@"ToolTipBorder=""");         sb.Append(fToolTipBorder);          sb.Append(@""" ");
        sb.Append(@"ToolTipBorderColor=""");    sb.Append(sToolTipBorderColor);     sb.Append(@""" ");
        sb.Append(@"ToolTipAlpha=""");          sb.Append(iToolTipAlpha);           sb.Append(@""" ");
        sb.Append(@"ToolTipTopMost=""");        sb.Append(fToolTipTopMost);         sb.Append(@""" ");
        sb.Append(@"ToolTipHideContent3=""");   sb.Append(fToolTipHideContent3);    sb.Append(@""" ");
        sb.Append(@"ToolTipHideContent4=""");   sb.Append(fToolTipHideContent4);    sb.Append(@""" ");


        sb.Append(@"DetailPageEnabled=""");     sb.Append(fDetailPageEnbaled);      sb.Append(@""" ");
        sb.Append(@"DetailImageZoom=""");       sb.Append(iDetailImageZoom);        sb.Append(@""" ");
        sb.Append(@"DetailImageLeft=""");       sb.Append(iDetailImageLeft);        sb.Append(@""" ");
        sb.Append(@"DetailImageTop=""");        sb.Append(iDetailImageTop);         sb.Append(@""" ");
        sb.Append(@"DetailImageAlign=""");      sb.Append(sDetailImageAlign);       sb.Append(@""" ");

        sb.Append(@"Content1HTML=""");          sb.Append(fContent1HTML);           sb.Append(@""" ");
        sb.Append(@"Content1AntiAliasing=""");  sb.Append(fContent1AntiAliasing);   sb.Append(@""" ");
        sb.Append(@"Content1Align=""");         sb.Append(sContent1Align);          sb.Append(@""" ");
        sb.Append(@"Content1Bold=""");          sb.Append(fContent1Bold);           sb.Append(@""" ");
        sb.Append(@"Content1Italic=""");        sb.Append(fContent1Italic);         sb.Append(@""" ");
        sb.Append(@"Content1Font=""");          sb.Append(sContent1Font);           sb.Append(@""" ");
        sb.Append(@"Content1FontColor=""");     sb.Append(sContent1FontColor);      sb.Append(@""" ");
        sb.Append(@"Content1FontSize=""");      sb.Append(iContent1FontSize);       sb.Append(@""" ");
        sb.Append(@"Content1Leading=""");       sb.Append(iContent1Leading);        sb.Append(@""" ");
        sb.Append(@"Content1Underline=""");     sb.Append(fContent1Underline);      sb.Append(@""" ");
        sb.Append(@"Content1Left=""");          sb.Append(iContent1Left);           sb.Append(@""" ");
        sb.Append(@"Content1Top=""");           sb.Append(iContent1Top);            sb.Append(@""" ");
        sb.Append(@"Content1Width=""");         sb.Append(iContent1Width);          sb.Append(@""" ");
        sb.Append(@"Content1Height=""");        sb.Append(iContent1Height);         sb.Append(@""" ");
        sb.Append(@"Content1BgColor=""");       sb.Append(sContent1BgColor);        sb.Append(@""" ");
        sb.Append(@"Content1Border=""");        sb.Append(fContent1Border);         sb.Append(@""" ");
        sb.Append(@"Content1BorderColor=""");   sb.Append(sContent1BorderColor);    sb.Append(@""" ");
        sb.Append(@"Content1Alpha=""");         sb.Append(iContent1Alpha);          sb.Append(@""" ");
        sb.Append(@"Content1Selectable=""");    sb.Append(fContent1Selectable);     sb.Append(@""" ");

        sb.Append(@"Content2HTML=""");          sb.Append(fContent2HTML);           sb.Append(@""" ");
        sb.Append(@"Content2AntiAliasing=""");  sb.Append(fContent2AntiAliasing);   sb.Append(@""" ");
        sb.Append(@"Content2Align=""");         sb.Append(sContent2Align);          sb.Append(@""" ");
        sb.Append(@"Content2Bold=""");          sb.Append(fContent2Bold);           sb.Append(@""" ");
        sb.Append(@"Content2Italic=""");        sb.Append(fContent2Italic);         sb.Append(@""" ");
        sb.Append(@"Content2Font=""");          sb.Append(sContent2Font);           sb.Append(@""" ");
        sb.Append(@"Content2FontColor=""");     sb.Append(sContent2FontColor);      sb.Append(@""" ");
        sb.Append(@"Content2FontSize=""");      sb.Append(iContent2FontSize);       sb.Append(@""" ");
        sb.Append(@"Content2Leading=""");       sb.Append(iContent2Leading);        sb.Append(@""" ");
        sb.Append(@"Content2Underline=""");     sb.Append(fContent2Underline);      sb.Append(@""" ");
        sb.Append(@"Content2Left=""");          sb.Append(iContent2Left);           sb.Append(@""" ");
        sb.Append(@"Content2Top=""");           sb.Append(iContent2Top);            sb.Append(@""" ");
        sb.Append(@"Content2Width=""");         sb.Append(iContent2Width);          sb.Append(@""" ");
        sb.Append(@"Content2Height=""");        sb.Append(iContent2Height);         sb.Append(@""" ");
        sb.Append(@"Content2BgColor=""");       sb.Append(sContent2BgColor);        sb.Append(@""" ");
        sb.Append(@"Content2Border=""");        sb.Append(fContent2Border);         sb.Append(@""" ");
        sb.Append(@"Content2BorderColor=""");   sb.Append(sContent2BorderColor);    sb.Append(@""" ");
        sb.Append(@"Content2Alpha=""");         sb.Append(iContent2Alpha);          sb.Append(@""" ");
        sb.Append(@"Content2Selectable=""");    sb.Append(fContent2Selectable);     sb.Append(@""" ");

        sb.Append(@"JSImageMouseOverFunctionName=""");      sb.Append(sJSImageMouseOverFunctionName);       sb.Append(@""" ");
        sb.Append(@"JSImageMouseOutFunctionName=""");       sb.Append(sJSImageMouseOutFunctionName);        sb.Append(@""" ");
        sb.Append(@"JSImageClickedFunctionName=""");        sb.Append(sJSImageClickedFunctionName);         sb.Append(@""" ");
        sb.Append(@"JSDetailPageLoadedFunctionName=""");    sb.Append(sJSDetailPageLoadedFunctionName);     sb.Append(@""" ");
        sb.Append(@"JSDetailImageClickedFunctionName=""");  sb.Append(sJSDetailImageClickedFunctionName);   sb.Append(@""" ");
        sb.Append(@"JSDetailPageClosedFunctionName=""");    sb.Append(sJSDetailPageClosedFunctionName);     sb.Append(@""" ");
        sb.Append(@"JSAnimationLoadedFunctionName=""");     sb.Append(sJSAnimationLoadedFunctionName);      sb.Append(@""" ");

        sb.Append(@">");
      
        sb.Append(@"<Image>");
        sb.Append(@"<Visible><![CDATA[true]]></Visible>");
        sb.Append(@"<ImagePath><![CDATA[images/img01.jpg]]></ImagePath>");
        sb.Append(@"<ImageLink><![CDATA[]]></ImageLink>");
        sb.Append(@"<ImageLinkTarget><![CDATA[blank]]></ImageLinkTarget>");
        sb.Append(@"<DetailPageImagePath><![CDATA[]]></DetailPageImagePath>");
        sb.Append(@"<ToolTip><![CDATA[Tooltip Image 01]]></ToolTip>");
        sb.Append(@"<Content1><![CDATA[Content1 (dynamic) - Gallery Image 01  Click Image To Return!]]></Content1>");
        sb.Append(@"<Content2><![CDATA[Content2 (dynamic) - Gallery Image 01  Click Image To Return!]]></Content2>");
        sb.Append(@"</Image>");

        sb.Append(@"<Image>");
        sb.Append(@"<Visible><![CDATA[true]]></Visible>");
        sb.Append(@"<ImagePath><![CDATA[images/img02.jpg]]></ImagePath>");
        sb.Append(@"<ImageLink><![CDATA[]]></ImageLink>");
        sb.Append(@"<ImageLinkTarget><![CDATA[blank]]></ImageLinkTarget>");
        sb.Append(@"<DetailPageImagePath><![CDATA[]]></DetailPageImagePath>");
        sb.Append(@"<ToolTip><![CDATA[Tooltip Image 02]]></ToolTip>");
        sb.Append(@"<Content1><![CDATA[Content1 (dynamic) - Gallery Image 02  Click Image To Return!]]></Content1>");
        sb.Append(@"<Content2><![CDATA[Content2 (dynamic) - Gallery Image 02  Click Image To Return!]]></Content2>");
        sb.Append(@"</Image>");

        sb.Append(@"<Image>");
        sb.Append(@"<Visible><![CDATA[true]]></Visible>");
        sb.Append(@"<ImagePath><![CDATA[images/img03.jpg]]></ImagePath>");
        sb.Append(@"<ImageLink><![CDATA[]]></ImageLink>");
        sb.Append(@"<ImageLinkTarget><![CDATA[blank]]></ImageLinkTarget>");
        sb.Append(@"<DetailPageImagePath><![CDATA[]]></DetailPageImagePath>");
        sb.Append(@"<ToolTip><![CDATA[Tooltip Image 03]]></ToolTip>");
        sb.Append(@"<Content1><![CDATA[Content1 (dynamic) - Gallery Image 03  Click Image To Return!]]></Content1>");
        sb.Append(@"<Content2><![CDATA[Content2 (dynamic) - Gallery Image 03  Click Image To Return!]]></Content2>");
        sb.Append(@"</Image>");

        sb.Append(@"<Image>");
        sb.Append(@"<Visible><![CDATA[true]]></Visible>");
        sb.Append(@"<ImagePath><![CDATA[images/img04.jpg]]></ImagePath>");
        sb.Append(@"<ImageLink><![CDATA[]]></ImageLink>");
        sb.Append(@"<ImageLinkTarget><![CDATA[blank]]></ImageLinkTarget>");
        sb.Append(@"<DetailPageImagePath><![CDATA[]]></DetailPageImagePath>");
        sb.Append(@"<ToolTip><![CDATA[Tooltip Image 04]]></ToolTip>");
        sb.Append(@"<Content1><![CDATA[Content1 (dynamic) - Gallery Image 04  Click Image To Return!]]></Content1>");
        sb.Append(@"<Content2><![CDATA[Content2 (dynamic) - Gallery Image 04  Click Image To Return!]]></Content2>");
        sb.Append(@"</Image>");

        sb.Append(@"<Image>");
        sb.Append(@"<Visible><![CDATA[true]]></Visible>");
        sb.Append(@"<ImagePath><![CDATA[images/img05.jpg]]></ImagePath>");
        sb.Append(@"<ImageLink><![CDATA[]]></ImageLink>");
        sb.Append(@"<ImageLinkTarget><![CDATA[blank]]></ImageLinkTarget>");
        sb.Append(@"<DetailPageImagePath><![CDATA[]]></DetailPageImagePath>");
        sb.Append(@"<ToolTip><![CDATA[Tooltip Image 05]]></ToolTip>");
        sb.Append(@"<Content1><![CDATA[Content1 (dynamic) - Gallery Image 05  Click Image To Return!]]></Content1>");
        sb.Append(@"<Content2><![CDATA[Content2 (dynamic) - Gallery Image 05  Click Image To Return!]]></Content2>");
        sb.Append(@"</Image>");

        sb.Append(@"<Image>");
        sb.Append(@"<Visible><![CDATA[true]]></Visible>");
        sb.Append(@"<ImagePath><![CDATA[images/img06.jpg]]></ImagePath>");
        sb.Append(@"<ImageLink><![CDATA[]]></ImageLink>");
        sb.Append(@"<ImageLinkTarget><![CDATA[blank]]></ImageLinkTarget>");
        sb.Append(@"<DetailPageImagePath><![CDATA[]]></DetailPageImagePath>");
        sb.Append(@"<ToolTip><![CDATA[Tooltip Image 06]]></ToolTip>");
        sb.Append(@"<Content1><![CDATA[Content1 (dynamic) - Gallery Image 06  Click Image To Return!]]></Content1>");
        sb.Append(@"<Content2><![CDATA[Content2 (dynamic) - Gallery Image 06  Click Image To Return!]]></Content2>");
        sb.Append(@"</Image>");

        sb.Append(@"<Image>");
        sb.Append(@"<Visible><![CDATA[true]]></Visible>");
        sb.Append(@"<ImagePath><![CDATA[images/img07.jpg]]></ImagePath>");
        sb.Append(@"<ImageLink><![CDATA[]]></ImageLink>");
        sb.Append(@"<ImageLinkTarget><![CDATA[blank]]></ImageLinkTarget>");
        sb.Append(@"<DetailPageImagePath><![CDATA[]]></DetailPageImagePath>");
        sb.Append(@"<ToolTip><![CDATA[Tooltip Image 07]]></ToolTip>");
        sb.Append(@"<Content1><![CDATA[Content1 (dynamic) - Gallery Image 07  Click Image To Return!]]></Content1>");
        sb.Append(@"<Content2><![CDATA[Content2 (dynamic) - Gallery Image 07  Click Image To Return!]]></Content2>");
        sb.Append(@"</Image>");

        sb.Append(@"<Image>");
        sb.Append(@"<Visible><![CDATA[true]]></Visible>");
        sb.Append(@"<ImagePath><![CDATA[images/img08.jpg]]></ImagePath>");
        sb.Append(@"<ImageLink><![CDATA[]]></ImageLink>");
        sb.Append(@"<ImageLinkTarget><![CDATA[blank]]></ImageLinkTarget>");
        sb.Append(@"<DetailPageImagePath><![CDATA[]]></DetailPageImagePath>");
        sb.Append(@"<ToolTip><![CDATA[Tooltip Image 08]]></ToolTip>");
        sb.Append(@"<Content1><![CDATA[Content1 (dynamic) - Gallery Image 08  Click Image To Return!]]></Content1>");
        sb.Append(@"<Content2><![CDATA[Content2 (dynamic) - Gallery Image 08  Click Image To Return!]]></Content2>");
        sb.Append(@"</Image>");

        sb.Append(@"<Image>");
        sb.Append(@"<Visible><![CDATA[true]]></Visible>");
        sb.Append(@"<ImagePath><![CDATA[images/img09.jpg]]></ImagePath>");
        sb.Append(@"<ImageLink><![CDATA[]]></ImageLink>");
        sb.Append(@"<ImageLinkTarget><![CDATA[blank]]></ImageLinkTarget>");
        sb.Append(@"<DetailPageImagePath><![CDATA[]]></DetailPageImagePath>");
        sb.Append(@"<ToolTip><![CDATA[Tooltip Image 09]]></ToolTip>");
        sb.Append(@"<Content1><![CDATA[Content1 (dynamic) - Gallery Image 09  Click Image To Return!]]></Content1>");
        sb.Append(@"<Content2><![CDATA[Content2 (dynamic) - Gallery Image 09  Click Image To Return!]]></Content2>");
        sb.Append(@"</Image>");

        sb.Append(@"<Image>");
        sb.Append(@"<Visible><![CDATA[true]]></Visible>");
        sb.Append(@"<ImagePath><![CDATA[images/img10.jpg]]></ImagePath>");
        sb.Append(@"<ImageLink><![CDATA[]]></ImageLink>");
        sb.Append(@"<ImageLinkTarget><![CDATA[blank]]></ImageLinkTarget>");
        sb.Append(@"<DetailPageImagePath><![CDATA[]]></DetailPageImagePath>");
        sb.Append(@"<ToolTip><![CDATA[Tooltip Image 10]]></ToolTip>");
        sb.Append(@"<Content1><![CDATA[Content1 (dynamic) - Gallery Image 10  Click Image To Return!]]></Content1>");
        sb.Append(@"<Content2><![CDATA[Content2 (dynamic) - Gallery Image 10  Click Image To Return!]]></Content2>");
        sb.Append(@"</Image>");

        sb.Append(@"<Image>");
        sb.Append(@"<Visible><![CDATA[true]]></Visible>");
        sb.Append(@"<ImagePath><![CDATA[images/img11.jpg]]></ImagePath>");
        sb.Append(@"<ImageLink><![CDATA[]]></ImageLink>");
        sb.Append(@"<ImageLinkTarget><![CDATA[blank]]></ImageLinkTarget>");
        sb.Append(@"<DetailPageImagePath><![CDATA[]]></DetailPageImagePath>");
        sb.Append(@"<ToolTip><![CDATA[Tooltip Image 1]]></ToolTip>");
        sb.Append(@"<Content1><![CDATA[Content1 (dynamic) - Gallery Image 11  Click Image To Return!]]></Content1>");
        sb.Append(@"<Content2><![CDATA[Content2 (dynamic) - Gallery Image 11  Click Image To Return!]]></Content2>");
        sb.Append(@"</Image>");

        sb.Append(@"<Image>");
        sb.Append(@"<Visible><![CDATA[true]]></Visible>");
        sb.Append(@"<ImagePath><![CDATA[images/img12.jpg]]></ImagePath>");
        sb.Append(@"<ImageLink><![CDATA[]]></ImageLink>");
        sb.Append(@"<ImageLinkTarget><![CDATA[blank]]></ImageLinkTarget>");
        sb.Append(@"<DetailPageImagePath><![CDATA[]]></DetailPageImagePath>");
        sb.Append(@"<ToolTip><![CDATA[Tooltip Image 12]]></ToolTip>");
        sb.Append(@"<Content1><![CDATA[Content1 (dynamic) - Gallery Image 12  Click Image To Return!]]></Content1>");
        sb.Append(@"<Content2><![CDATA[Content2 (dynamic) - Gallery Image 12  Click Image To Return!]]></Content2>");
        sb.Append(@"</Image>");

        sb.Append(@"<Image>");
        sb.Append(@"<Visible><![CDATA[true]]></Visible>");
        sb.Append(@"<ImagePath><![CDATA[images/img13.jpg]]></ImagePath>");
        sb.Append(@"<ImageLink><![CDATA[]]></ImageLink>");
        sb.Append(@"<ImageLinkTarget><![CDATA[blank]]></ImageLinkTarget>");
        sb.Append(@"<DetailPageImagePath><![CDATA[]]></DetailPageImagePath>");
        sb.Append(@"<ToolTip><![CDATA[Tooltip Image 13]]></ToolTip>");
        sb.Append(@"<Content1><![CDATA[Content1 (dynamic) - Gallery Image 13  Click Image To Return!]]></Content1>");
        sb.Append(@"<Content2><![CDATA[Content2 (dynamic) - Gallery Image 13  Click Image To Return!]]></Content2>");
        sb.Append(@"</Image>");

        sb.Append(@"<Image>");
        sb.Append(@"<Visible><![CDATA[true]]></Visible>");
        sb.Append(@"<ImagePath><![CDATA[images/img14.jpg]]></ImagePath>");
        sb.Append(@"<ImageLink><![CDATA[]]></ImageLink>");
        sb.Append(@"<ImageLinkTarget><![CDATA[blank]]></ImageLinkTarget>");
        sb.Append(@"<DetailPageImagePath><![CDATA[]]></DetailPageImagePath>");
        sb.Append(@"<ToolTip><![CDATA[Tooltip Image 14]]></ToolTip>");
        sb.Append(@"<Content1><![CDATA[Content1 (dynamic) - Gallery Image 14  Click Image To Return!]]></Content1>");
        sb.Append(@"<Content2><![CDATA[Content2 (dynamic) - Gallery Image 14  Click Image To Return!]]></Content2>");
        sb.Append(@"</Image>");

        sb.Append(@"<Image>");
        sb.Append(@"<Visible><![CDATA[true]]></Visible>");
        sb.Append(@"<ImagePath><![CDATA[images/img15.jpg]]></ImagePath>");
        sb.Append(@"<ImageLink><![CDATA[]]></ImageLink>");
        sb.Append(@"<ImageLinkTarget><![CDATA[blank]]></ImageLinkTarget>");
        sb.Append(@"<DetailPageImagePath><![CDATA[]]></DetailPageImagePath>");
        sb.Append(@"<ToolTip><![CDATA[Tooltip Image 15]]></ToolTip>");
        sb.Append(@"<Content1><![CDATA[Content1 (dynamic) - Gallery Image 15  Click Image To Return!]]></Content1>");
        sb.Append(@"<Content2><![CDATA[Content2 (dynamic) - Gallery Image 15  Click Image To Return!]]></Content2>");
        sb.Append(@"</Image>");
       
        sb.Append(@"</Images>");

        sb.Append(@"<StaticContents>");
        sb.Append(@"<StaticContent ");
        sb.Append(@"HTML=""");              sb.Append(fContent3HTML.ToString());            sb.Append(@""" ");
        sb.Append(@"AntiAliasing=""");      sb.Append(fContent3AntiAliasing.ToString());    sb.Append(@""" ");
        sb.Append(@"Align=""");             sb.Append(sContent3Align);                      sb.Append(@""" ");
        sb.Append(@"Bold=""");              sb.Append(fContent3Bold.ToString());            sb.Append(@""" ");
        sb.Append(@"Italic=""");            sb.Append(fContent3Italic.ToString());          sb.Append(@""" ");
        sb.Append(@"Font=""");              sb.Append(sContent3Font.ToString());            sb.Append(@""" ");
        sb.Append(@"FontColor=""");         sb.Append(sContent3FontColor.ToString());       sb.Append(@""" ");
        sb.Append(@"FontSize=""");          sb.Append(iContent3FontSize.ToString());        sb.Append(@""" ");
        sb.Append(@"Leading=""");           sb.Append(iContent3Leading.ToString());         sb.Append(@""" ");
        sb.Append(@"Underline=""");         sb.Append(fContent3Underline.ToString());       sb.Append(@""" ");
        sb.Append(@"Left=""");              sb.Append(iContent3Left.ToString());            sb.Append(@""" ");
        sb.Append(@"Top=""");               sb.Append(iContent3Top.ToString());             sb.Append(@""" ");
        sb.Append(@"Width=""");             sb.Append(iContent3Width.ToString());           sb.Append(@""" ");
        sb.Append(@"Height=""");            sb.Append(iContent3Height.ToString());          sb.Append(@""" ");
        sb.Append(@"BgColor=""");           sb.Append(sContent3BgColor.ToString());         sb.Append(@""" ");
        sb.Append(@"Border=""");            sb.Append(fContent3Border.ToString());          sb.Append(@""" ");
        sb.Append(@"BorderColor=""");       sb.Append(sContent3BorderColor.ToString());     sb.Append(@""" ");
        sb.Append(@"Alpha=""");             sb.Append(iContent3Alpha.ToString());           sb.Append(@""" ");
        sb.Append(@"Selectable=""");        sb.Append(fContent3Selectable.ToString());      sb.Append(@""" ");
        sb.Append(@"TopMost=""");           sb.Append(fContent3TopMost.ToString());         sb.Append(@""" ");
        sb.Append(@"VisibleOnGalleryPage=""");  sb.Append(fContent3VisibleOnGalleryPage.ToString());    sb.Append(@""" ");
        sb.Append(@"VisibleOnDetailPage=""");   sb.Append(fContent3VisibleOnDetailPage.ToString());     sb.Append(@""" ");
        sb.Append(@">");
        sb.Append(@"<Content><![CDATA[");   sb.Append(sContent3.ToString());                sb.Append(@"]]></Content>");
        sb.Append(@"</StaticContent>");

        sb.Append(@"<StaticContent ");
        sb.Append(@"HTML=""");              sb.Append(fContent4HTML.ToString());            sb.Append(@""" ");
        sb.Append(@"AntiAliasing=""");      sb.Append(fContent4AntiAliasing.ToString());    sb.Append(@""" ");
        sb.Append(@"Align=""");             sb.Append(sContent4Align);                      sb.Append(@""" ");
        sb.Append(@"Bold=""");              sb.Append(fContent4Bold.ToString());            sb.Append(@""" ");
        sb.Append(@"Italic=""");            sb.Append(fContent4Italic.ToString());          sb.Append(@""" ");
        sb.Append(@"Font=""");              sb.Append(sContent4Font.ToString());            sb.Append(@""" ");
        sb.Append(@"FontColor=""");         sb.Append(sContent4FontColor.ToString());       sb.Append(@""" ");
        sb.Append(@"FontSize=""");          sb.Append(iContent4FontSize.ToString());        sb.Append(@""" ");
        sb.Append(@"Leading=""");           sb.Append(iContent4Leading.ToString());         sb.Append(@""" ");
        sb.Append(@"Underline=""");         sb.Append(fContent4Underline.ToString());       sb.Append(@""" ");
        sb.Append(@"Left=""");              sb.Append(iContent4Left.ToString());            sb.Append(@""" ");
        sb.Append(@"Top=""");               sb.Append(iContent4Top.ToString());             sb.Append(@""" ");
        sb.Append(@"Width=""");             sb.Append(iContent4Width.ToString());           sb.Append(@""" ");
        sb.Append(@"Height=""");            sb.Append(iContent4Height.ToString());          sb.Append(@""" ");
        sb.Append(@"BgColor=""");           sb.Append(sContent4BgColor.ToString());         sb.Append(@""" ");
        sb.Append(@"Border=""");            sb.Append(fContent4Border.ToString());          sb.Append(@""" ");
        sb.Append(@"BorderColor=""");       sb.Append(sContent4BorderColor.ToString());     sb.Append(@""" ");
        sb.Append(@"Alpha=""");             sb.Append(iContent4Alpha.ToString());           sb.Append(@""" ");
        sb.Append(@"Selectable=""");        sb.Append(fContent4Selectable.ToString());      sb.Append(@""" ");
        sb.Append(@"TopMost=""");           sb.Append(fContent4TopMost.ToString());         sb.Append(@""" ");
        sb.Append(@"VisibleOnGalleryPage=""");  sb.Append(fContent4VisibleOnGalleryPage.ToString());    sb.Append(@""" ");
        sb.Append(@"VisibleOnDetailPage=""");   sb.Append(fContent4VisibleOnDetailPage.ToString());     sb.Append(@""" ");
        sb.Append(@">");
        sb.Append(@"<Content><![CDATA[");   sb.Append(sContent4.ToString());                sb.Append(@"]]></Content>");
        sb.Append(@"</StaticContent>");
        sb.Append(@"</StaticContents>");

        sb.Append(@"</DDDGalleryV2>");

        //Return the XML Configuration File
        return sb.ToString();
        
    }
}
